<template>
    <div class="basket_item">
        <img :src="basketItemData.photo" class="basket_item_image" alt="">
        <p>{{basketItemData.name}}</p>
        <p>{{basketItemData.price}}</p>
        <div>
            <p>Кількість:   </p>
            <button @click="decrement">-</button>
            <span> {{basketItemData.quantity}} </span>
            <button @click="increment">+</button>
        </div>
        <button @click="deleteFromBasket">Видалити</button>
    </div>
</template>

<script>
export default {
    name: "BasketItem",
    props: {
        basketItemData: {
            type: Object,
            default() {
                return {}
            }
        }
    },
    methods: {
        deleteFromBasket() {
            this.$emit('deleteFromBasket');
        },
        decrement() {
            this.$emit('decrement');
        },
        increment() {
            this.$emit('increment');
        },
    },
    mounted() {
        this.$set(this.basketItemData, 'quantity', 1);
    }
}
</script>

<style lang="scss">
    .basket_item {
        display: flex;
        flex-wrap: nowrap;
        justify-content: space-between;
        align-items: center;
        box-shadow: 0 0 8px 0 #e0e0e0;
        margin-bottom: 20px;
        padding: 10px;
        &_image {
            max-width: 100px;
        }
    }
</style>
